Subject: Re: Can you please pull percpu#for-next into linux-next?

From: Tejun Heo <[email-masked]>
Date: Fri, 19 Jun 2009 12:44:28 +0900

Hello,

Stephen Rothwell wrote:
> Hi Tejun,
> 
> On Fri, 19 Jun 2009 11:40:35 +0900 Tejun Heo <[email-masked]> wrote:
>> What do I need to do to get a tree pulled into linux-next rounds?  The
>> tree in question is
> 
> You need to ask. :-)

:-)

>>   git://git.kernel.org/pub/scm/linux/kernel/git/tj/percpu.git for-next
>>   http://git.kernel.org/?p=linux/kernel/git/tj/percpu.git;a=shortlog;h=for-next
> 
> You also need to give me the name(s) of people to inform about any issues
> I have with the tree (defaults to you).

Me, Rusty Russell, Christoph Lameter and Ingo Molnar should do.

>> and contains percpu related changes scheduled for the next (2.6.32)
>> merge window.  The tree touches a lot of archs and percpu users so
>> it'll probably cause some headache during the devel cycle.
> 
> Since it is for 2.6.32, I will only add it after 2.6.31-rc1 is released.

Alright.

> What I tell everyone: all patches/commits in the tree/series must
> have been:
> 
> 	posted to a relevant mailing list
> 	reviewed
> 	unit tested
> 	destined for the next merge window (or the current release)
> 
> *before* they are included.  The linux-next tree is for integration
> testing and to lower the impact of conflicts between subsystems in the
> next merge window.
> 
> Basically, this should be just what you would send to Linus (or ask him
> to fetch).  It is allowed to be rebased if you deem it necessary.

Yeap, will keep it that way.

>> Also, is there some guide I can read about linux-next?
> 
> There is a web site which is mostly useful:
> http://linux.f-seidel.de/linux-next/pmwiki/

Thanks.

-- 
tejun